---
search:
  exclude: true
---
# Portainer Setup 

Before we start, you will need a Debian 10+ VPS (you can get one on digitalocean for example), if you prefer to use your own self hosted server, make sure that port 80 and 443 are correctly port forwarded so that the public ip points to the server and not the router. Once that's done, go and ssh into your debian 10 server. 

You can use DuckDNS to get a free domain name:

![](0.png)
    
    
    [ 192.168.100.1/24 ] [ /dev/pts/13 ] [~/Nextcloud/blog/Conf]
    → ssh root@ech4.duckdns.org
    The authenticity of host 'ech4.duckdns.org (178.128.46.38)' can't be established.
    ECDSA key fingerprint is SHA256:z2HAncB99pfbAUfj9tJY7vlo8EGUzCIUxWBAnjAflcA.
    Are you sure you want to continue connecting (yes/no/[fingerprint])? yes
    Warning: Permanently added 'ech4.duckdns.org,178.128.46.38' (ECDSA) to the list of known hosts.
    Linux debian-s-1vcpu-1gb-lon1-01 4.19.0-10-cloud-amd64 #1 SMP Debian 4.19.132-1 (2020-07-24) x86_64
    
    The programs included with the Debian GNU/Linux system are free software;
    the exact distribution terms for each program are described in the
    individual files in /usr/share/doc/*/copyright.
    
    Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
    permitted by applicable law.
    root@debian-s-1vcpu-1gb-lon1-01:~#
    
    

## **Initial Setup**

First install the required dependencies 
    
    
    apt install curl docker.io docker-compose -y
    systemctl enable docker
    
    docker pull portainer/portainer-ce
    docker run --restart=always --name=portainer -d -p 9000:9000 -v /var/run/docker.sock:/var/run/docker.sock portainer/portainer-ce
    
    

Here goto port 9000 and create your admin user:

![](1.png) ![](2.png)

And we're in! now let's look at our local endpoint:

![](3.png)

goto containers:

![](4.png)

add nginx application:

![](5.png)

then add persistant folder just so you don't loose all your data in case the container dies (path to /data):

![](6.png)

Once that's done, you see that it's running, and it has port 32769 assigned:

![](7.png)

We can browse to it and see it:

![](8.png)

And that's it! we have been able to deploy a container thanks to portainer.

